Bug 1739908 - grass fails to install in Fedora rawhide
Summary: grass fails to install in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grass
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: markusN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall F32FailsToInstall PY2FTBI 1739520
TreeView+ depends on / blocked
 
Reported: 2019-08-11 21:29 UTC by Miro Hrončok
Modified: 2019-09-18 00:04 UTC (History)
6 users (show)

Fixed In Version: grass-7.8.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:04:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-11 21:29:04 UTC
grass-7.6.0-5.fc31.x86_64 fails to install in Fedora rawhide:

  package grass-7.6.0-5.fc31.x86_64 requires python2-matplotlib, but none of the providers can be installed
  nothing provides python2-backports-functools_lru_cache needed by python2-matplotlib-2.2.4-5.fc31.1.x86_64
  nothing provides python2.7dist(backports.functools-lru-cache) needed by python2-matplotlib-2.2.4-5.fc31.1.x86_64

This is most likely caused by a dependency that was retired.
Please drop the dependency or unretire the dependency. Or switch grass to Python 3 if possible. Thanks

Comment 1 markusN 2019-08-11 21:51:24 UTC
We are publishing these days GRASS GIS 7.8.0 with Python 3 support.
This will address the issue.

I will keep this report updated accordingly.

Comment 2 Miro Hrončok 2019-08-11 22:02:12 UTC
Excellent news!

Comment 3 Ben Cotton 2019-08-13 16:59:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 17:08:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 markusN 2019-08-13 22:13:57 UTC
FYI: Just tagged GRASS GIS 7.8.0RC1 which offers Python 3 support:

https://github.com/OSGeo/grass/releases/tag/grass_7_8_0RC1

Comment 6 markusN 2019-09-04 15:12:46 UTC
I have a draft 7.8.0 (RC1) RPM ready but struggle with one line in the SPEC file:

https://copr.fedorainfracloud.org/coprs/neteler/grass78/

Anyone available to support me?

Comment 7 Miro Hrončok 2019-09-04 16:55:02 UTC
what line? logs give me error 404

Comment 8 markusN 2019-09-05 11:03:01 UTC
I have resubmitted a build at

https://copr.fedorainfracloud.org/coprs/neteler/grass78/build/1028549/

may be ready in 30-40min from now.

Comment 9 Miro Hrončok 2019-09-05 12:18:11 UTC
+ /usr/lib/rpm/check-buildroot
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/bin/grass78:    GISBASE = os.path.normpath("/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78")
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/include/Make/Grass.make:ARCH_DISTDIR	= /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/include/Make/Platform.make:GRASS_HOME          = /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/include/Make/Platform.make:RUN_GISBASE         = /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:cyrilc|Cyrillic|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/cyrilc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:gothgbt|Gothic Great Britain triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/gothgbt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:gothgrt|Gothic German triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/gothgrt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:gothitt|Gothic Italian triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/gothitt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:greekc|Greek complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/greekc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:greekcs|Greek complex script|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/greekcs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:greekp|Greek plain|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/greekp.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:greeks|Greek simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/greeks.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:italicc|Italian complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/italicc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:italiccs|Italian complex small|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/italiccs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:italict|Italian triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/italict.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:romanc|Roman complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/romanc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:romancs|Roman complex small|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/romancs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:romand|Roman duplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/romand.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:romans|Roman simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/romans.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:romant|Roman triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/romant.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:scriptc|Script complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/scriptc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/etc/fontcap:scripts|Script simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/fonts/scripts.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78/demolocation/.grassrc78:GISDBASE: /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64/usr/lib64/grass78
Found '/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc32.x86_64' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.zl54Gw (%install)


It seems that some of the files have the %{buildroot} path contained in them.

You should be able to at least workaround ti by sedding %{buildroot} out of them at the end of %install.

Comment 10 markusN 2019-09-12 08:15:43 UTC
Happy to workaround but I am a bit lost here (after hours of trying):

This is the snippet to be fixed:

```
%install
%make_install \
        prefix=%{buildroot}%{_libdir} \
        UNIX_BIN=%{buildroot}%{_bindir}

# libraries and headers are in GISBASE = %%{_libdir}/%%{name}
# keep them in GISBASE

# fix paths:
# Change GISBASE in startup script
sed -i -e 's|%{buildroot}%{_libdir}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|g' \
        %{buildroot}%{_bindir}/%{name}%{shortver}
# fix GRASS_HOME and RUN_GISBASE in Platform.make
sed -i -e 's|%{buildroot}%{_libdir}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|g' \
        %{buildroot}%{_libdir}/%{name}%{shortver}/include/Make/Platform.make
# fix ARCH_DISTDIR in Grass.make
sed -i -e 's|%{buildroot}%{_libdir}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|g' \
        %{buildroot}%{_libdir}/%{name}%{shortver}/include/Make/Grass.make
# fix ARCH_BINDIR in Grass.make
sed -i -e 's|%{buildroot}%{_bindir}|%{_bindir}|g' \
        %{buildroot}%{_libdir}/%{name}%{shortver}/include/Make/Grass.make
# fix GISDBASE in demolocation
sed -i -e 's|%{buildroot}%{_libdir}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|g' \
        %{buildroot}%{_libdir}/%{name}%{shortver}/demolocation/.grassrc%{shortver}
# Correct font path
sed -i -e 's|%{buildroot}%{_libdir}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|' \
        %{buildroot}%{_libdir}/%{name}%{shortver}/etc/fontcap
# fix paths in grass.pc
sed -i -e 's|%{_prefix}/%{name}-%{version}|%{_libdir}/%{name}%{shortver}|g' \
        %{name}.pc

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -p -m 644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig

```

Comment 11 Miro Hrončok 2019-09-12 08:18:56 UTC
Usually, we set something like DESTDIR= with %{buildroot}, but prefix= without. Isn't that the root of the issue?

Comment 12 markusN 2019-09-12 13:13:11 UTC
Thanks, I tried that now
(https://copr-be.cloud.fedoraproject.org/results/neteler/grass78/fedora-30-x86_64/01032276-grass/build.log.gz)

[...]
Finished compilation: Thu Sep 12 12:51:57 UTC 2019
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.ZNuC0G
+ umask 022
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64 '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64
BUILDSTDERR: ++ dirname /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64
+ cd grass-7.8.0RC1
+ /usr/bin/make install DESTDIR=/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64 'INSTALL=/usr/bin/install -p' prefix=/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64 UNIX_BIN=/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/bin
/builddir/build/BUILD/grass-7.8.0RC1/bin.x86_64-redhat-linux-gnu/grass78
/usr/bin/make install-check-built
[...]
explicitly decompress any DWARF compressed ELF sections in /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/driver/db/ogr
extracting debug info from /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/driver/db/ogr
explicitly decompress any DWARF compressed ELF sections in /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/tools/g.echo
extracting debug info from /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/tools/g.echo
/usr/lib/rpm/sepdebugcrcfix: Updated 462 CRC32s, 0 CRC32s did match.
BUILDSTDERR: 36453 blocks
+ /usr/lib/rpm/check-buildroot
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/bin/grass78:    GISBASE = os.path.normpath("/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78")
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/include/Make/Grass.make:ARCH_DISTDIR	= /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/include/Make/Platform.make:GRASS_HOME          = /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/include/Make/Platform.make:RUN_GISBASE         = /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:cyrilc|Cyrillic|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/cyrilc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:gothgbt|Gothic Great Britain triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/gothgbt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:gothgrt|Gothic German triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/gothgrt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:gothitt|Gothic Italian triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/gothitt.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:greekc|Greek complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/greekc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:greekcs|Greek complex script|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/greekcs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:greekp|Greek plain|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/greekp.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:greeks|Greek simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/greeks.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:italicc|Italian complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/italicc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:italiccs|Italian complex small|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/italiccs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:italict|Italian triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/italict.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:romanc|Roman complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/romanc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:romancs|Roman complex small|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/romancs.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:romand|Roman duplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/romand.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:romans|Roman simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/romans.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:romant|Roman triplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/romant.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:scriptc|Script complex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/scriptc.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/etc/fontcap:scripts|Script simplex|0|/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/fonts/scripts.hmp|0|utf-8|
/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78/demolocation/.grassrc78:GISDBASE: /builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64/usr/lib64/grass78
Found '/builddir/build/BUILDROOT/grass-7.8.0RC1-1.fc30.x86_64' in installed files; aborting
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.ZNuC0G (%install)
RPM build errors:
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.ZNuC0G (%install)
Child return code was: 1
EXCEPTION: [Error()]

... still no change. Further help would be appreciated.

Current SPEC file: https://copr-be.cloud.fedoraproject.org/results/neteler/grass78/fedora-30-x86_64/01032276-grass/grass.spec

Comment 13 Miro Hrončok 2019-09-12 13:24:07 UTC
Still has prefix=%{buildroot}%{_libdir}

Comment 14 markusN 2019-09-12 14:05:04 UTC
My bad, I submitted the wrong SRPM.

Now, with the updated one:

[...]
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64 '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64
BUILDSTDERR: ++ dirname /builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64
+ cd grass-7.8.0
+ /usr/bin/make install DESTDIR=/builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64 'INSTALL=/usr/bin/install -p' DESTDIR=/builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64/usr/lib64 prefix=/usr/lib64 UNIX_BIN=/builddir/build/BUILDROOT/grass-7.8.0-1.fc30.x86_64/usr/bin
/builddir/build/BUILD/grass-7.8.0/bin.x86_64-redhat-linux-gnu/grass78
/usr/bin/make install-check-built
make[1]: Entering directory '/builddir/build/BUILD/grass-7.8.0'
make[1]: Leaving directory '/builddir/build/BUILD/grass-7.8.0'
/usr/bin/make install-check-parent
make[1]: Entering directory '/builddir/build/BUILD/grass-7.8.0'
BUILDSTDERR: ERROR: Directory /usr/lib64 is a parent directory of your
BUILDSTDERR:   install directory /usr/lib64/grass78 and is not writable.
BUILDSTDERR:   Perhaps you need root access.
BUILDSTDERR:   Installation aborted, exiting Make.
BUILDSTDERR: make[1]: *** [include/Make/Install.make:53: install-check-parent] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/grass-7.8.0'
BUILDSTDERR: make: *** [include/Make/Install.make:36: install] Error 2
[...]

Comment 15 Miro Hrončok 2019-09-12 16:20:59 UTC
it doesn't seem to respect DESTDIR.

Comment 16 Fedora Update System 2019-09-15 14:00:17 UTC
FEDORA-2019-bbaea978c7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbaea978c7

Comment 17 Fedora Update System 2019-09-16 02:05:17 UTC
grass-7.8.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbaea978c7

Comment 18 markusN 2019-09-16 06:49:19 UTC
(In reply to Miro Hrončok from comment #15)
> it doesn't seem to respect DESTDIR.

Right. Thanks to Elliot C. Lee we have now a patch included for this issue and compilation works fine.

Please test...

Comment 19 Fedora Update System 2019-09-18 00:04:48 UTC
grass-7.8.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.